summaryrefslogtreecommitdiff
path: root/sysdeps
diff options
context:
space:
mode:
Diffstat (limited to 'sysdeps')
-rw-r--r--sysdeps/x86_64/Makefile2
-rwxr-xr-xsysdeps/x86_64/tst-xmmymm.sh4
2 files changed, 4 insertions, 2 deletions
diff --git a/sysdeps/x86_64/Makefile b/sysdeps/x86_64/Makefile
index d4525bc7c0..0acb69a17f 100644
--- a/sysdeps/x86_64/Makefile
+++ b/sysdeps/x86_64/Makefile
@@ -41,7 +41,7 @@ $(objpfx)tst-quad2pie: $(objpfx)tst-quadmod2pie.o
tests: $(objpfx)tst-xmmymm.out
$(objpfx)tst-xmmymm.out: ../sysdeps/x86_64/tst-xmmymm.sh $(objpfx)ld.so
@echo "Checking ld.so for SSE register use. This will take a few seconds..."
- $(SHELL) -e $< $(objpfx) > $@
+ $(SHELL) $< $(objpfx) > $@
endif
ifeq ($(subdir),csu)
diff --git a/sysdeps/x86_64/tst-xmmymm.sh b/sysdeps/x86_64/tst-xmmymm.sh
index edb58b1e91..64efc6e021 100755
--- a/sysdeps/x86_64/tst-xmmymm.sh
+++ b/sysdeps/x86_64/tst-xmmymm.sh
@@ -1,6 +1,6 @@
#! /bin/bash
# Make sure no code in ld.so uses xmm/ymm registers on x86-64.
-# Copyright (C) 2009 Free Software Foundation, Inc.
+# Copyright (C) 2009-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# The GNU C Library is free software; you can redistribute it and/or
@@ -17,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
objpfx="$1"
tmp=$(mktemp ${objpfx}tst-xmmymm.XXXXXX)